Skip to content

comments ​

4 endpoints at a glance
MethodPathSummary
GET/commentsList Comments
POST/commentsCreate Comment
DELETE/comments/{comment_id}Delete Comment
PATCH/comments/{comment_id}Update Comment

comments​


List Comments​

GET
/comments

Parameters​

Header Parameters

authorization

Query Parameters

entity_type*
Type
string
Required
Valid values
"task""project""contact""event""company""deal"
entity_id*
Type
string
Required
page
Type
integer
Default
1
limit
Type
integer
Default
50

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value

Samples​


Create Comment​

POST
/comments

Parameters​

Header Parameters

authorization

Request Body​

application/json
JSON
{
  
"entity_type": "string",
  
"entity_id": "string",
  
"body": "string",
  
"mentions": [
  
  
"string"
  
]
}

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Body

Samples​


Delete Comment​

DELETE
/comments/{comment_id}

Parameters​

Header Parameters

authorization

Path Parameters

comment_id*
Type
string
Required

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value

Samples​


Update Comment​

PATCH
/comments/{comment_id}

Parameters​

Header Parameters

authorization

Path Parameters

comment_id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"body": "string",
  
"mentions": [
  
  
"string"
  
]
}

Responses​

Successful Response

application/json
JSON
{
  
"additionalProperties": "string"
}

Playground​

Headers
Variables
Key
Value
Body

Samples​


Kancil — one workspace for contacts, work and money.